Skip to main content
POST
Update a Vault

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-24
checkfu-beta
string
required
idempotency-key
string
Maximum string length: 255

Path Parameters

vault_id
string
required
Pattern: ^vlt_[0-9a-f]{32}$

Body

application/json

Parameters for updating a Vault.

display_name
string | null

Human-readable Vault name containing 1 to 255 characters.

Required string length: 1 - 255
metadata
object | null

Metadata changes whose string values upsert and null values remove keys.

Response

A Vault that stores Session credentials.

A Vault that stores Session credentials.

id
string
required
Pattern: ^vlt_[0-9a-f]{32}$
archived_at
string | null
required

A canonical UTC ISO-8601 timestamp with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
created_at
string
required

A canonical UTC ISO-8601 timestamp with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
display_name
string
required

Human-readable Vault name containing 1 to 255 characters.

Required string length: 1 - 255
metadata
object
required

at most 16 correlation pairs with keys of 1 to 64 characters

type
enum<string>
required
Available options:
vault
updated_at
string
required

A canonical UTC ISO-8601 timestamp with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$